<p align="center"><img height="200" src="https://static.glmdev.tech/flitter/flitter-big.png"></p>

# Flitter

Flitter is a quick & ligthweight web app framework based on Express.

### What?

Flitter is an MVC style framework that aims to get you up and running faster by providing a structure and a wrapper for Express.js. Files in predictable directories are parsed into routes, middleware, controllers, models, and views.

Flitter provides access to the Express app, while making it possible to create an app without needing to piece together the Express framework.

### Flitter Provides:

- Express for routing
- Mongoose for ODM
- Busboy for request parsing
- Favicon support
- `./flitter` - CLI tools for Flitter (including an interactive shell)
- User auth & sessions (see below)

### How?

Getting started with Flitter is easy. To create a new project, simply run the following commands:

```
# Download Flitter:
git clone https://git.glmdev.tech/flitter/flitter {project_name}
cd {project_name}

# Install dependencies:
yarn install

# Create default config:
cp example.env .env

# Launch Flitter!
node index.js

# Or use the interactive shell
./flitter shell
```

And voilà! You should have a Flitter app up and running on port `8000` by default.

### Why?

Flitter's creator is a former Laravel junkie, but loves Node and Express. He got tired of having to hammer out the same 500 lines of code to start every project, but didn't want the bulk and obfuscation of larger frameworks like AdonisJS.

Flitter is designed to be compartmentalized and easy to understand. Every piece of its core functionality is broken into "units." Each of these units does some task like loading config, parsing middleware, connecting to the database, etc. You can see exactly what units your application is loading by viewing the Units file in `config/Units.flitter.js`. Each of Flitters core units are open to view in the [libflitter](https://www.npmjs.com/package/libflitter) package.

Of course, this also means that Flitter is extremely easy to extend. If you want to add a custom package, simply require it and add its unit to the Units file!

### Who?

Flitter was created by [Garrett Mills](https://glmdev.tech/), and its use is governed by the terms of the MIT License as specified in the LICENSE file.

Of course, that does mean that Flitter is © 2019 Garrett Mills. ;)

This command will copy the necessary files to your Flitter install. The files are directly accessible and, therefore, completely customizable.