const app_routes = {
    prefix: '/api/v1/applications',

    middleware: [
        'auth:APIRoute',
    ],

    get: {
        '/': [
            ['middleware::api:Permission', { check: 'v1:applications:list' }],
            'controller::api:v1:App.get_applications',
        ],
        '/:id': [
            ['middleware::api:Permission', { check: 'v1:applications:get' }],
            'controller::api:v1:App.get_application',
        ],
    },

    post: {
        '/': [
            ['middleware::api:Permission', { check: 'v1:applications:create' }],
            'controller::api:v1:App.create_application',
        ],
    },

    patch: {
        '/:id': [
            ['middleware::api:Permission', { check: 'v1:applications:update' }],
            'controller::api:v1:App.update_application',
        ],
    },

    delete: {
        '/:id': [
            ['middleware::api:Permission', { check: 'v1:applications:delete' }],
            'controller::api:v1:App.delete_application',
        ],
    },
}

module.exports = exports = app_routes
