/*
 * flitter-upload configuration
 * ---------------------------------------------------------------
 * Specifies the configuration for various uploader aspects. Mainly,
 * contains the configuration for the different file upload backends.
 */
const upload_config = {
    /*
     * The name of the upload backend to use by default.
     */
    default_store: 'flitter',

    /*
     * Stores available to the uploader.
     */
    stores: {

        /*
         * Example of the basic, filesystem-backed uploader.
         * The name of the store is arbitrary. Here, it's called 'flitter'.
         */
        flitter: {
            // This is a filesystem backed 'FlitterStore'
            type: 'FlitterStore',

            // Destination for uploaded files. Will be relative to the root
            // path of the application.
            destination: './uploads',
        },
    },
}

module.exports = exports = upload_config
