module.exports = exports = {
    mfa: 'Multi-factor Authentication',
    challenge_prompt: 'Your account has multi-factor authentication enabled. Please enter the code generated by your authenticator app to continue.',
    mfa_code: { one: 'MFA Code', many: 'MFA Codes' },
    lost_device: 'Lost your MFA device?',
    invalid_code: 'Uh, oh! It looks like that\'s not the right code. Please try again.',
    success: 'Success! Redirecting...',

    disable_prompt: `
    This process will disable multi-factor authentication on your account.
    <br><br>
    For security reasons, this will sign you out of all devices. It will also deactivate any existing app passwords you have generated.
    <br><br>
    Are you sure you want to continue?
    `,
    disable: 'Disable MFA',
    enable: 'Enable MFA',
    disable_success: 'MFA was successfully disabled. You\'ll now sign-in normally.',

    recover_prompt: 'To recover access to your account, you can enter one of the generated MFA recovery codes:',
    recovery_code: 'Recovery Code',
    normal_code: 'Have a normal MFA code?',
    recover_success: 'Success! There are only NUM_CODES recovery codes remaining. Let\'s get you on your way...',

    setup_prompt: `
    We're going to walk you through setting up multi-factor authentication for your account.
    <br><br>
    Once this is completed, you will need to provide your second factor of authentication whenever you sign in with your APP_NAME account.
    <br><br>
    You'll need some kind of MFA token generator such as Google Authenticator.
    `,
    setup_qr_prompt: `
    Scan the QR code below with your authenticator app to add your APP_NAME account.
    <br><br>
    Once you've done this, we'll ask for one of the generated codes to verify that MFA is working correctly.
    `,
    secret: 'Secret:',
    setup_success: `
    Now, enter the code displayed in your authenticator app. APP_NAME will verify that the code is
                correct. Then, you can enable MFA for your account.
    `,
    enable_mfa: 'Enable MFA',
    setup_code_success: 'Success! That code matched what APP_NAME was expecting. You can now enable multi-factor authentication for your account.',
    mfa_enabled: 'MFA has been enabled for your account! For security purposes, you will be asked to sign in again.',
}
